import router from "../router.mjs";
import url from "url";
import util from "util";
import sql from "../sql.mjs";
import lib from "../lib.mjs";
import tpl from "../tpl.mjs";

tpl.readdir("views");

router.get("/stats", async (req, res) => {
  const query = await sql.query("select src from items");
  let hosts = {};
  query.forEach(e => {
    const host = url.parse(e.src).hostname;
    hosts[host] ? hosts[host]++ : hosts[host] = 1;
  });
  
  const sorted = Object.keys(hosts).sort((a, b) => hosts[b] - hosts[a]).map(k => ({ [k]: hosts[k] })).reduce((a, b) => ({ ...a, ...b }));
  
  res.reply({
    body: "<pre>" + util.inspect(sorted) + "</pre>"
  });
  //res.reply({ body: tpl.render("views/index", data) });
});
